Subject: Re: [FAQ?] Rationale for git's way to manage the index

From: David Kågedal <[email-masked]>
Date: Mon, 14 May 2007 17:57:30 -0700

"Guilhem Bonnefille" <[email-masked]> writes:

> In order to improve my productivity with Git, and in order to avoid
> traps around moving from SVN to Git, I often use the Git Emacs mode.
> It is really usefull for beginners as it works similarly for CVS, SVN
> and Git: synthetic view of all modifications, easy selection of what
> will be commited... The biggest drawback of this "porcelain": using
> it, you do not understand the Git's index philosophy.

And it's broken as well.  If you "update" in the emacs mode you cannot
do a "git commit" in a terminal without manually running "git
update-index" first.

I think an emacs-mode that is closer to git-gui would be better, and
closer to the git philosophy

-- 
David Kågedal